XML Copy Editor not working on Ubuntu 10.04

Help
2011-09-16
2012-12-07
  • Simon Cropper
    Simon Cropper
    2011-09-16

    My version of XML Copy Editor has stopped working. I click on th desktop icon and it does not start. if I start in terminal and specify a filename I see a flicker as a window appears then disappears but no error message appears.

    I have loaded and unloaded the package several time to no avail. I have downloaded from this website but it complains about the libxerces-c3.0 dependency not being met and even if I add this using synaptic it still baulks.

    Obviously something has upgraded and left the problem neutered. I would have thought though that the install routine would check for dependencies and recommend what needs to be installed or just do it.

    Any ideas?

     
  • spirit03
    spirit03
    2011-09-17

    It looks as if the framework has adopted a later version of Xerces-C and I need to either make the code work with the later version or specify the earlier one. Sorry about the inconvenience. Up to the eyeballs in development work right now but I'm hoping to sort this out shortly. Am I right in thinking grabbing the latest *.deb and installing over the version on your computer isn't working?

    -Gerald

     
  • Simon Cropper
    Simon Cropper
    2011-09-17

    Am I right in thinking grabbing the latest *.deb and installing over the version on your computer isn't working?

    You are correct. It also complains about the libxerces-c3.0 dependency not being met.

     
  • klo
    klo
    2011-12-07

    Any news on this?

    I'm on 11.04 and installed this package through Synaptic but it wont start as explained by OP
    Also just the same if I download latest .deb it complains about libxerces-c3.0

     

  • Anonymous
    2012-05-28

    @klonuo

    I also am on 11.04, and installed XCE with Synaptic.   XCE opens fine, without error messages, if using the Menu: Applications -> Programming -> XML Copy Editor

     
  • Kevin M. Goess
    Kevin M. Goess
    2012-07-16

    Same problem on 12.04.  If I start it from the command-line I can see it flicker, but that's it. libxerces-c3.1 is installed, which got pulled in with xmlcopyeditor.